# Interface methods for submodule: FastMarchingImageFilterBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FastMarchingBaseProxy as _FastMarchingBaseProxy


# Interface methods for class: FastMarchingImageFilterBase
class FastMarchingImageFilterBaseProxy(_FastMarchingBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetModifiableLabelImage(self):
		""""""
		...

	def GetLabelImage(self):
		""""""
		...

	def SetOutputSize(self, size: Sequence[int]) -> None:
		""""""
		...

	def GetOutputSize(self) -> Sequence[int]:
		""""""
		...

	def SetOutputRegion(self, _arg: ImageRegion) -> None:
		""""""
		...

	def GetOutputRegion(self) -> ImageRegion:
		""""""
		...

	def SetOutputSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetOutputSpacing(self) -> Sequence[float]:
		""""""
		...

	def SetOutputDirection(self, _arg) -> None:
		""""""
		...

	def GetOutputDirection(self):
		""""""
		...

	def SetOutputOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetOutputOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetOverrideOutputInformation(self, _arg: bool) -> None:
		""""""
		...

	def GetOverrideOutputInformation(self) -> bool:
		""""""
		...

	def OverrideOutputInformationOn(self) -> None:
		""""""
		...

	def OverrideOutputInformationOff(self) -> None:
		""""""
		...

